# ChangeLog for dev-php/smarty
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/smarty/ChangeLog,v 1.112 2013/01/21 18:09:47 pacho Exp $

  21 Jan 2013; Pacho Ramos <pacho@gentoo.org> metadata.xml:
  Cleanup as talked with him

*smarty-3.1.8 (22 Feb 2012)

  22 Feb 2012; Matti Bickel <mabi@gentoo.org> +smarty-3.1.8.ebuild:
  version bump

*smarty-3.1.7 (28 Jan 2012)

  28 Jan 2012; Matti Bickel <mabi@gentoo.org> +smarty-3.1.7.ebuild,
  -smarty-2.6.24-r1.ebuild, -smarty-2.6.26-r1.ebuild, -smarty-3.0.7.ebuild:
  version bump, remove old, obsoletes the need for dev-php/smarty-docs

  12 Feb 2011; Samuli Suominen <ssuominen@gentoo.org> smarty-2.6.24.ebuild:
  ia64 stable

*smarty-3.0.7 (12 Feb 2011)

  12 Feb 2011; <tomk@gentoo.org> -smarty-3.0.6-r1.ebuild,
  +smarty-3.0.7.ebuild:
  Version bump to 3.0.7, removed 3.0.6

*smarty-3.0.6-r1 (11 Feb 2011)
*smarty-2.6.26-r1 (11 Feb 2011)
*smarty-2.6.24-r1 (11 Feb 2011)

  11 Feb 2011; <tomk@gentoo.org> +smarty-2.6.24-r1.ebuild,
  -smarty-2.6.26.ebuild, +smarty-2.6.26-r1.ebuild, -smarty-3.0.6.ebuild,
  +smarty-3.0.6-r1.ebuild, metadata.xml:
  New revisions to support new file locations and changes to documentation
  versioning scheme

*smarty-3.0.6 (04 Feb 2011)

  04 Feb 2011; Ole Markus With <olemarkus@gentoo.org> +smarty-3.0.6.ebuild:
  Version bump. First 3.x release

  06 Jan 2011; Raúl Porcel <armin76@gentoo.org> smarty-2.6.24.ebuild,
  smarty-2.6.26.ebuild:
  Add ~ia64 wrt #349127

*smarty-2.6.26 (13 Jul 2009)

  13 Jul 2009; Tobias Scherbaum <dertobi123@gentoo.org>
  -smarty-2.6.21.ebuild, +smarty-2.6.26.ebuild:
  Version bump && Cleanup

  02 Jun 2009; Raúl Porcel <armin76@gentoo.org> smarty-2.6.24.ebuild:
  alpha/sparc stable wrt #270494

  25 May 2009; Brent Baude <ranger@gentoo.org> smarty-2.6.24.ebuild:
  Marking smarty-2.6.24 ppc64 and ppc for bug 270494

  24 May 2009; Tobias Klausmann <klausman@gentoo.org> ChangeLog:
  Keyworded on alpha, bug #270494

  22 May 2009; Markus Meier <maekke@gentoo.org> smarty-2.6.24.ebuild:
  amd64 stable, bug #270494

  22 May 2009; Christian Faulhammer <fauli@gentoo.org> smarty-2.6.24.ebuild:
  stable x86, security bug 270494

  21 May 2009; Jeroen Roovers <jer@gentoo.org> smarty-2.6.24.ebuild:
  Stable for HPPA (bug #270494).

*smarty-2.6.24 (20 May 2009)

  20 May 2009; Tobias Scherbaum <dertobi123@gentoo.org>
  -smarty-2.6.22.ebuild, +smarty-2.6.24.ebuild:
  Version bump, security bug #270494

  27 Feb 2009; Brent Baude <ranger@gentoo.org> smarty-2.6.21.ebuild:
  stable ppc64, bug 254415

*smarty-2.6.22 (18 Feb 2009)

  18 Feb 2009; Tobias Scherbaum <dertobi123@gentoo.org>
  +smarty-2.6.22.ebuild:
  Version bump

  16 Feb 2009; Tobias Scherbaum <dertobi123@gentoo.org>
  -files/smarty-2.6.20-CVE-2008-4810.patch, -smarty-2.6.20-r1.ebuild:
  Cleanup

  06 Feb 2009; Jeroen Roovers <jer@gentoo.org> smarty-2.6.21.ebuild:
  Stable for HPPA (bug #254415).

  01 Feb 2009; Tobias Klausmann <klausman@gentoo.org> smarty-2.6.21.ebuild:
  Stable on alpha, bug #254415

  17 Jan 2009; Friedrich Oslage <bluebird@gentoo.org> smarty-2.6.21.ebuild:
  Stable on sparc, bug #254415

  11 Jan 2009; Markus Meier <maekke@gentoo.org> smarty-2.6.21.ebuild:
  amd64/x86 stable, bug #254415

  10 Jan 2009; Tobias Scherbaum <dertobi123@gentoo.org>
  -smarty-2.6.19.ebuild:
  Remove old version

  10 Jan 2009; Tobias Scherbaum <dertobi123@gentoo.org>
  smarty-2.6.21.ebuild:
  ppc stable, bug #254415

*smarty-2.6.21 (09 Dec 2008)

  09 Dec 2008; Tobias Scherbaum <dertobi123@gentoo.org>
  +smarty-2.6.21.ebuild:
  Version bump, #250376

  29 Nov 2008; Jeroen Roovers <jer@gentoo.org> smarty-2.6.20-r1.ebuild:
  Stable for HPPA (bug #243856).

  29 Nov 2008; Raúl Porcel <armin76@gentoo.org> smarty-2.6.20-r1.ebuild:
  alpha/sparc stable wrt #243856

  28 Nov 2008; Tobias Scherbaum <dertobi123@gentoo.org>
  smarty-2.6.20-r1.ebuild:
  ppc stable, bug #243856

  28 Nov 2008; Markus Meier <maekke@gentoo.org> smarty-2.6.20-r1.ebuild:
  amd64/x86 stable, bug #243856

*smarty-2.6.20-r1 (28 Nov 2008)

  28 Nov 2008; Tobias Scherbaum <dertobi123@gentoo.org>
  +files/smarty-2.6.20-CVE-2008-4810.patch, -smarty-2.6.14.ebuild,
  -smarty-2.6.18.ebuild, -smarty-2.6.20.ebuild, +smarty-2.6.20-r1.ebuild:
  Revision bump for security bug #243856

*smarty-2.6.20 (04 Sep 2008)

  04 Sep 2008; Tobias Scherbaum <dertobi123@gentoo.org>
  +smarty-2.6.20.ebuild:
  Version bump, #236187

  08 Mar 2008; <pva@gentoo.org> smarty-2.6.19.ebuild:
  amd64 stable, bug #212147.

  04 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org>
  smarty-2.6.19.ebuild:
  ppc stable, bug #212147

  04 Mar 2008; Raúl Porcel <armin76@gentoo.org> smarty-2.6.19.ebuild:
  alpha/sparc stable wrt security #212147

  03 Mar 2008; Jeroen Roovers <jer@gentoo.org> smarty-2.6.19.ebuild:
  Stable for HPPA (bug #212147).

  03 Mar 2008; Markus Meier <maekke@gentoo.org> smarty-2.6.19.ebuild:
  x86 stable, security bug #212147

*smarty-2.6.19 (26 Feb 2008)

  26 Feb 2008; Raúl Porcel <armin76@gentoo.org> +smarty-2.6.19.ebuild:
  Version bump, import from the php overlay

  19 Feb 2008; Jakub Moc <jakub@gentoo.org>
  +smarty-2.6.19.ebuild:
  Version bump - bugfix release

  02 Nov 2007; Steve Dibb <beandog@gentoo.org> smarty-2.6.18.ebuild:
  amd64 stable, bug 197314

  01 Nov 2007; Raúl Porcel <armin76@gentoo.org> smarty-2.6.18.ebuild:
  alpha/sparc stable wrt #197314

  31 Oct 2007; Jeroen Roovers <jer@gentoo.org> smarty-2.6.18.ebuild:
  Stable for HPPA (bug #197314).

  30 Oct 2007; nixnut <nixnut@gentoo.org> smarty-2.6.18.ebuild:
  Stable on ppc wrt bug 197314

  28 Oct 2007; Jurek Bartuszek <jurek@gentoo.org> smarty-2.6.18.ebuild:
  x86 stable (bug #197314)

  18 Mar 2007; Luca Longinotti <chtekk@gentoo.org> smarty-2.6.14.ebuild,
  -smarty-2.6.16.ebuild, smarty-2.6.18.ebuild:
  Cleanup.

*smarty-2.6.18 (11 Mar 2007)

  11 Mar 2007; Tom Knight <tomk@gentoo.org> +smarty-2.6.18.ebuild:
  Version bump to 2.6.18, thanks to toto for reporting it, fixes bug #170113.

  28 Jan 2007; Marius Mauch <genone@gentoo.org> smarty-2.6.14.ebuild,
  smarty-2.6.16.ebuild:
  Replacing einfo with elog

*smarty-2.6.16 (04 Dec 2006)

  04 Dec 2006; Tom Knight <tomk@gentoo.org> -smarty-2.6.13.ebuild,
  +smarty-2.6.16.ebuild:
  Added 2.6.16 and removed 2.6.13, thanks to toto. Fixes bug #156781

  20 Oct 2006; Bryan Østergaard <kloeri@gentoo.org> smarty-2.6.14.ebuild:
  Stable on Alpha.

  11 Oct 2006; Markus Rothe <corsair@gentoo.org> smarty-2.6.13.ebuild,
  smarty-2.6.14.ebuild:
  Added ~ppc64; bug #150873

  01 Oct 2006; Tobias Scherbaum <dertobi123@gentoo.org>
  smarty-2.6.14.ebuild:
  hppa stable, bug #148175

  28 Sep 2006; Joshua Jackson <tsunam@gentoo.org> smarty-2.6.14.ebuild:
  Stable x86; bug #148175

  23 Sep 2006; <nixnut@gentoo.org> smarty-2.6.14.ebuild:
  Stable on ppc wrt bug 148175

  21 Sep 2006; <blubb@gentoo.org> smarty-2.6.14.ebuild:
  stable on amd64

  21 Sep 2006; Jason Wever <weeve@gentoo.org> smarty-2.6.14.ebuild:
  Stable on SPARC wrt bug #148175.

*smarty-2.6.14 (17 Jun 2006)

  17 Jun 2006; Tom Knight <tomk@gentoo.org> +smarty-2.6.14.ebuild:
  Version bump to 2.6.14, thanks to Dave Liefbroer, fixes bug #135879

  31 May 2006; Guy Martin <gmsoft@gentoo.org> smarty-2.6.13.ebuild:
  Stable on hppa.

  25 May 2006; Michael Hanselmann <hansmi@gentoo.org> smarty-2.6.13.ebuild:
  Added to ~hppa.

  23 May 2006; Luca Longinotti <chtekk@gentoo.org> -smarty-2.6.11.ebuild:
  Spring cleanup.

  21 May 2006; Luca Longinotti <chtekk@gentoo.org> -smarty-2.6.0-r2.ebuild,
  -smarty-2.6.2.ebuild, -smarty-2.6.5.ebuild, -smarty-2.6.7.ebuild,
  -smarty-2.6.8.ebuild, -smarty-2.6.9.ebuild, -smarty-2.6.10.ebuild:
  Remove old-style PHP packages.

  05 May 2006; <tcort@gentoo.org> smarty-2.6.13.ebuild:
  Stable on alpha wrt Bug #130301.

  30 Apr 2006; Simon Stelling <blubb@gentoo.org> smarty-2.6.13.ebuild:
  stable on amd64

  21 Apr 2006; Tobias Scherbaum <dertobi123@gentoo.org>
  smarty-2.6.13.ebuild:
  ppc stable, bug #130301

  19 Apr 2006; Jason Wever <weeve@gentoo.org> smarty-2.6.13.ebuild:
  Stable on SPARC wrt bug #130301.

  17 Apr 2006; Mark Loeser <halcy0n@gentoo.org> smarty-2.6.13.ebuild:
  Stable on x86; bug #130301

*smarty-2.6.13 (12 Mar 2006)

  12 Mar 2006; Tom Knight <tomk@gentoo.org> -smarty-2.6.12.ebuild,
  +smarty-2.6.13.ebuild:
  Version bump to 2.6.13, removed 2.6.12

*smarty-2.6.12 (28 Feb 2006)

  28 Feb 2006; Tom Knight <tomk@gentoo.org> +smarty-2.6.12.ebuild:
  Version bump to 2.6.12, fixes bug #120300. Also install to
  /usr/share/php/smarty fixes bug #121952. Thanks to Roderick van Domburg and
  Jonas Jonsson.

  06 Feb 2006; Aron Griffis <agriffis@gentoo.org> smarty-2.6.10.ebuild:
  Mark 2.6.10 stable on alpha

  24 Dec 2005; Rene Nussbaumer <killerfox@gentoo.org> smarty-2.6.10.ebuild:
  Stable on hppa.

  24 Dec 2005; Michael Hanselmann <hansmi@gentoo.org> smarty-2.6.10.ebuild:
  Stable on ppc.

*smarty-2.6.11 (21 Dec 2005)

  21 Dec 2005; Sebastian Bergmann <sebastian@gentoo.org>
  -smarty-2.6.10-r1.ebuild, +smarty-2.6.11.ebuild:
  Version bump.

*smarty-2.6.10-r1 (24 Nov 2005)

  24 Nov 2005; Luca Longinotti <chtekk@gentoo.org> +smarty-2.6.10-r1.ebuild:
  Add smarty for new-style PHP from the PHP overlay.

  22 Nov 2005; Simon Stelling <blubb@gentoo.org> smarty-2.6.10.ebuild:
  stable on amd64

  22 Nov 2005; Gustavo Zacarias <gustavoz@gentoo.org> smarty-2.6.10.ebuild:
  Stable on sparc

  22 Nov 2005; Mark Loeser <halcy0n@gentoo.org> smarty-2.6.10.ebuild:
  Stable on x86; bug #112977

*smarty-2.6.10 (17 Aug 2005)

  17 Aug 2005; Tom Knight <tomk@gentoo.org> +smarty-2.6.10.ebuild:
  Version bumped to 2.6.10

  09 Apr 2005; Gustavo Zacarias <gustavoz@gentoo.org> smarty-2.6.9.ebuild:
  Stable on sparc wrt #86488

  08 Apr 2005; Guy Martin <gmsoft@gentoo.org> smarty-2.6.9.ebuild:
  Stable on hppa.

  08 Apr 2005; Bryan Østergaard <kloeri@gentoo.org> smarty-2.6.9.ebuild:
  Stable on alpha, bug 86488.

  08 Apr 2005; Michael Hanselmann <hansmi@gentoo.org> smarty-2.6.9.ebuild:
  Stable on ppc.

*smarty-2.6.9 (08 Apr 2005)

  08 Apr 2005; Tom Knight <tomk@gentoo.org> +smarty-2.6.9.ebuild:
  Version bump for security release

  26 Mar 2005; Bryan Østergaard <kloeri@gentoo.org> smarty-2.6.8.ebuild:
  Stable on alpha, bug 86488.

  25 Mar 2005; Michael Hanselmann <hansmi@gentoo.org> smarty-2.6.8.ebuild:
  Stable on hppa.

  25 Mar 2005; Michael Hanselmann <hansmi@gentoo.org> smarty-2.6.8.ebuild:
  Stable on ppc.

  25 Mar 2005; Sebastian Bergmann <sebastian@gentoo.org>
  smarty-2.6.8.ebuild:
  Stable on x86 and amd64.

  25 Mar 2005; Jason Wever <weeve@gentoo.org> smarty-2.6.8.ebuild:
  Stable on SPARC wrt security bug #86148.

*smarty-2.6.8 (24 Mar 2005)

  24 Mar 2005; Sebastian Bergmann <sebastian@gentoo.org>
  +smarty-2.6.8.ebuild:
  Version bump WRT bug 86488.

*smarty-2.6.7 (10 Feb 2005)

  10 Feb 2005; Tom Knight <tomk@gentoo.org> -smarty-2.6.6.ebuild,
  +smarty-2.6.7.ebuild:
  Version bumped to 2.6.7 and removed 2.6.6 for a security fix

  16 Jan 2005; Guy Martin <gmsoft@gentoo.org> smarty-2.6.5.ebuild:
  Stable on hppa.

*smarty-2.6.6 (08 Jan 2005)

  08 Jan 2005; Tom Knight <tomk@gentoo.org> metadata.xml,
  smarty-2.6.0-r2.ebuild, smarty-2.6.2.ebuild, smarty-2.6.5.ebuild,
  +smarty-2.6.6.ebuild:
  Version bumped, bug #75178. Set correct einfo output, bug #67229

  30 Dec 2004; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

  27 Dec 2004; Gustavo Zacarias <gustavoz@gentoo.org> smarty-2.6.5.ebuild:
  Stable on sparc

  18 Dec 2004; Simon Stelling <blubb@gentoo.org> smarty-2.6.5.ebuild:
  added ~amd64

  18 Dec 2004; Simon Stelling <blubb@gentoo.org> smarty-2.6.5.ebuild:
  added ~amd64

  12 Dec 2004; Bryan Østergaard <kloeri@gentoo.org> smarty-2.6.5.ebuild:
  Stable on alpha.

  06 Dec 2004; Tom Payne <twp@gentoo.org> smarty-2.6.5.ebuild:
  SStable on x86.

*smarty-2.6.5 (26 Sep 2004)

  26 Sep 2004; Tom Payne <twp@gentoo.org> -smarty-2.6.3.ebuild,
  +smarty-2.6.5.ebuild:
  Version bump. Bug # 65332. Removed old version.

*smarty-2.6.3 (01 Aug 2004)

  01 Aug 2004; <twp@gentoo.org> +smarty-2.6.3.ebuild:
  Version bump. Bug # 55590.

  04 Jul 2004; Bryan Østergaard <kloeri@gentoo.org> smarty-2.6.2.ebuild:
  Stable on alpha.

  18 Apr 2004; Jason Wever <weeve@gentoo.org> smarty-2.6.2.ebuild:
  Stable on sparc.

  17 Apr 2004; Daniel Ahlberg <aliz@gentoo.org> smarty-2.6.0-r2.ebuild:
  Fixed IUSE flags.

  16 Apr 2004; Guy Martin <gmsoft@gentoo.org> smarty-2.6.2.ebuild:
  Marked stable on hppa.

  12 Apr 2004; <twp@gentoo.org> smarty-2.5.0.ebuild, smarty-2.6.0-r1.ebuild,
  smarty-2.6.0.ebuild, smarty-2.6.2.ebuild:
  Removed old versions. Marked 2.6.2 stable on x86.

*smarty-2.6.2 (21 Mar 2004)

  21 Mar 2004; Tom Payne <twp@gentoo.org> smarty-2.6.2.ebuild :
  Version bump. Add docs if USE=doc. Bug #43905.

  08 Jan 2004; Robin H. Johnson <robbat2@gentoo.org> smarty-2.5.0.ebuild,
  smarty-2.6.0-r1.ebuild, smarty-2.6.0-r2.ebuild, smarty-2.6.0.ebuild:
  remove mips and arm KEYWORDS due to lack of support, ready for new repoman.

*smarty-2.6.0-r2 (04 Jan 2004)
*smarty-2.6.0-r1 (04 Jan 2004)

  04 Jan 2004; Robin H. Johnson <robbat2@gentoo.org> smarty-2.5.0.ebuild,
  smarty-2.6.0-r1.ebuild, smarty-2.6.0-r2.ebuild, smarty-2.6.0.ebuild:
  fix bug #35534

  24 Dec 2003; Tom Payne <twp@gentoo.org> smarty-2.6.0.ebuild :
  Install libs/core/*. Bug # 36412.
  Don't install docs (use smarty-docs package instead).

*smarty-2.6.0 (22 Dec 2003)

  22 Dec 2003; Tom Payne <twp@gentoo.org> smarty-2.5.0.ebuild smarty-2.6.0.ebuild :
  Version bump. Changed DEPEND to dev-php/mod_php to satisfy repoman.
  Removed _rc1 versions.

  16 Dec 2003; Martin Holzer <mholzer@gentoo.org> smarty-2.6.0_rc1-r1.ebuild:
  fixing type. Closes #35534.

*smarty-2.6.0_rc1-r1 (29 Sep 2003)

  29 Sep 2003; Martin Holzer <mholzer@gentoo.org> smarty-2.6.0_rc1-r1.ebuild:
  Added core-dir. Closes #29880.

*smarty-2.6.0_rc1 (28 Sep 2003)

  28 Sep 2003; Tom Payne <twp@gentoo.org> smarty-2.6.0_rc1.ebuild :
  Version bump. Added metadata.xml.

*smarty-2.5.0 (11 May 2003)

  11 May 2003; Tom Payne <twp@gentoo.org> smarty-2.5.0.ebuild :
  Initial version.
